Summary: DBD-Oracle module for perl
Name: perl-DBD-Oracle
Source9999: version
Version: %(echo `awk '{ print $1 }' %{SOURCE9999}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE9999}`)%{?dist}
License: distributable
Group: Applications/CPAN
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Oracle-%{version}.tar.gz
Patch0: DBD-Oracle-1.14-blobsyn.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-DBD-Oracle-buildroot/
BuildRequires: perl >= 0:5.6.1, perl-DBI
BuildRequires: oracle-instantclient-devel
Requires: perl >= 0:5.6.1, oracle-instantclient-basic

%description
DBD-Oracle module for perl

%package explain
Summary: Oora_explain script from DBD-Oracle module for perl
Group: Applications/CPAN

%description explain
ora_explain script

%prep
%define modname %(echo %{name}| sed 's/perl-//')
%setup -q -n %{modname}-%{version} 
%patch0 -p0

%build
eval $(perl -V:sitearch)
eval $(perl -V:vendorarch)
INCLUDES=$(echo -I$ORACLE_HOME/rdbms/public \
                -I$ORACLE_HOME/rdbms/demo \
                -I$ORACLE_HOME/network/public \
                -I$vendorarch/auto/DBI \
                -I$sitearch/auto/DBI)
# We can't trust the tests make by the Makefile.PL on modern Oracle installations
# because it leads to bloat, duble linking and inneficient relocation. It's a wonder
# it works at all
perl Makefile.PL -l \
    CC=gcc LD="gcc -v -Wl,-rpath,$ORACLE_HOME/lib" \
    CCFLAGS="-D_GNU_SOURCE" \
    PREFIX=$RPM_BUILD_ROOT/usr 
 make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
    sed "s@^$RPM_BUILD_ROOT@@g" | 
    grep -E -v 'perllocal.pod|\.packlist|ora_explain' \
    > %{modname}-%{version}-filelist
if [ "$(cat %{modname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

%files -f %{modname}-%{version}-filelist
%defattr(-,root,root)

%files explain
%defattr(-,root,root)
%{_bindir}/ora_explain
%{_mandir}/man1/ora_explain.1.gz

%changelog
* Wed Jul  2 2008 Michael Mraka <michael.mraka@redhat.com> 1.21-2
- rebased to DBD::Oracle 1.21, Oracle Instantclient 10.2.0.4
- ora_explain moved into subpackage

* Wed May 21 2008 Jan Pazdziora - 1.19-8
- rebuild on RHEL 4 as well.

* Fri Dec 05 2007 Michael Mraka <michael.mraka@redhat.com>
- update to DBD::Oracle 1.19 to support oracle-instantclient

* Fri Jun 20 2003 Mihai Ibanescu <misa@redhat.com>
- Linking against Oracle 9i Release 2 client libraries. 

* Sun Nov 11 2001 Chip Turner <cturner@redhat.com>
- update to DBD::Oracle 1.12 to fix LOB bug

* Mon Jul 23 2001 Cristian Gafton <gafton@redhat.com>
- compile against oracle libraries using -rpath setting
- disable as many checks as we can from the default Makefile.PL

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
